<template>
  <div v-if="isLoggedIn" class="protected-view">
    <slot></slot>
  </div>
</template>

<script setup lang="ts">
const { isLoggedIn } = useAuth();
const { checkHasAccess } = useLiteTheme();
checkHasAccess();
</script>

<style scoped>
.protected-view {
  max-height: calc(100vh - 62px);
  height: 100%;
  overflow: auto;
}
</style>
